# Uses of Class
javax.swing.JTable

Packages that use JTable
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of JTable in javax.swing

Methods in javax.swing with parameters of type JTable
Modifier and Type
Method
Description
`static JScrollPane`
JTable.`createScrollPaneForTable(JTable aTable)`
Deprecated.
As of Swing version 1.0.2, replaced by `new JScrollPane(aTable)`.
`Component`
DefaultCellEditor.`getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
Implements the `TableCellEditor` interface.
Constructors in javax.swing with parameters of type JTable
Modifier
Constructor
Description
``
`AccessibleJTableCell(JTable t, int r, int c, int i)`
Constructs an `AccessibleJTableHeaderEntry`.

## Uses of JTable in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JTable
Modifier and Type
Field
Description
`protected JTable`
BasicTableUI.`table`
The instance of `JTable`.

## Uses of JTable in javax.swing.table

Fields in javax.swing.table declared as JTable
Modifier and Type
Field
Description
`protected JTable`
JTableHeader.`table`
The table for which this object is the header; the default is `null`.
Methods in javax.swing.table that return JTable
Modifier and Type
Method
Description
`JTable`
JTableHeader.`getTable()`
Returns the table associated with this header.
Methods in javax.swing.table with parameters of type JTable
Modifier and Type
Method
Description
`Component`
TableCellEditor.`getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
Sets an initial `value` for the editor.
`Component`
DefaultTableCellRenderer.`getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
Returns the default table cell renderer.
`Component`
TableCellRenderer.`getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
Returns the component used for drawing the cell.
`void`
JTableHeader.`setTable(JTable table)`
Sets the table associated with this header.
Constructors in javax.swing.table with parameters of type JTable
Modifier
Constructor
Description
``
`AccessibleJTableHeaderEntry(int c, JTableHeader p, JTable t)`
Constructs an AccessibleJTableHeaderEntry